#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, l;
    cin>>n>>l;

    vector<int> h;
    for(int i=1;i<=n;i++)
    {
        int seged;
        cin>>seged;
        h.push_back(seged);
    }

    int meddig=1;
    for(int i=0;i<n;i++)
    {
        if(h.at(i)>l)
        {
            meddig++;
        }
        else
        {
            break;
        }
    }

    if(meddig==n+1)
    {
        meddig=-1;
    }

    cout<<meddig;




    return 0;
}